跳转到内容

只查询原C2及完整结果,不首次执行或预扣

POST
/t1/cache/core/v1/exchange/lookup
curl --request POST \
--url https://api.tansr.com/t1/cache/core/v1/exchange/lookup \
--header 'Content-Type: application/vnd.tansr.cache-exchange.v1' \
--header 'x-tansr-app-token: <x-tansr-app-token>' \
--header 'x-tansr-cache-core-proof: example' \
--data binary

原二进制frame不变;CacheCoreEnvelope签名仅改为独立域tansr.sdk2.cache.core.lookup.v1加NUL,不能用于执行。当前app_user/issuer与原102完整intent须匹配;source修订可前进但删除代、撤销仍拒绝。只有completed且原资金一致、原Redis同fingerprint完整JSON才携result;流式、缺失及超帽为null。not-found/accepted/result-unknown/receipt-expired或completed+null均不证明未执行,禁止清除pending或自动换ID重试。响应UTF-8最多1048576字节。

x-tansr-cache-core-proof
required
string
>= 1 characters <= 8192 characters /^[A-Za-z0-9_-]+$/
Media typeapplication/vnd.tansr.cache-exchange.v1
string format: binary

当前应用用户认证;只读响应不触发模型或资金。

Media typeapplication/json
object
protocol
required
Allowed value: sdk2-cache-core-v1
state
required
string
Allowed values: not-found accepted result-unknown completed receipt-expired
result
required
Any of:
object
status
required
integer
>= 100 <= 599
contentType
required
string
>= 1 characters <= 128 characters
body
required

UTF-8编码后不得超过262144字节;仅原完整JSON结果。

string
<= 262144 characters
headers
object
cost
string
<= 1024 characters
balance
string
<= 1024 characters
priceTable
string
<= 1024 characters
Example
{
"protocol": "sdk2-cache-core-v1",
"state": "not-found"
}
Cache-Control
Allowed value: no-store